# Changelog

## [integrations/mongodb_atlas-v3.2.1] - 2025-05-13

### 🚀 Features

- Support custom content field (#1721)

### 🐛 Bug Fixes

- Fulltext retrieval (#1730)

### 📚 Documentation


## [integrations/mongodb_atlas-v3.1.2] - 2025-05-07

### 🐛 Bug Fixes

- Hard coded embedding field for mongodb (#1708)


### 🌀 Miscellaneous

- Docs: add MongoDBAtlasFullTextRetriever to API Reference (#1669)

## [integrations/mongodb_atlas-v3.1.1] - 2025-04-11

### 🚀 Features

- Mongodb async (#1590)

### 🐛 Bug Fixes

- Async failing in mongodb-integrations (#1633)


### ⚙️ CI

- Review testing workflows (#1541)

## [integrations/mongodb_atlas-v3.0.0] - 2025-03-11


### 🧪 Testing

- Skip tests that require credentials on PRs from forks for some integrations (#1485)

### 🧹 Chores

- Remove Python 3.8 support (#1421)
- Use Haystack logging across integrations (#1484)

### 🌀 Miscellaneous

- Docs: Update document store descriptions for deepset Pipeline Builder (#1447)
- Chore: Mongo - pin haystack and remove dataframe checks (#1512)

## [integrations/mongodb_atlas-v2.0.0] - 2025-02-14

### 🚀 Features

- Defer the database connection to when it's needed (#770)
- Add filter_policy to mongodb_atlas integration (#823)

### 🐛 Bug Fixes

- Pass empty dict to filter instead of None (#775)
- `Mongo` - Fallback to default filter policy when deserializing retrievers without the init parameter (#899)


### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ CI

- Retry tests to reduce flakyness (#836)
- Adopt uv as installer (#1142)

### 🧹 Chores

- Update ruff invocation to include check parameter (#853)
- Update mongodb test for the new `apply_filter_policy` usage (#971)
- MongoDB - remove legacy filter support (#1066)
- Update ruff linting scripts and settings (#1105)
- Inherit from `FilterDocumentsTestWithDataframe` in Document Stores (#1290)

### 🌀 Miscellaneous

- Chore: add license classifiers (#680)
- Chore: change the pydoc renderer class (#718)
- Ci: install `pytest-rerunfailures` where needed; add retry config to `test-cov` script (#845)
- Chore: Minor retriever pydoc fix (#884)
- Fix: remove exposure of connection_string (#937)
- Chore: mongo - ruff update, don't ruff tests (#991)
- Mongodb keyword search (#1228)
- Chore!: Mongodb - remove dataframe support (#1398)

## [integrations/mongodb_atlas-v0.2.1] - 2024-04-09

### 🐛 Bug Fixes

- Fix `haystack-ai` pins (#649)

### 📚 Documentation

- Disable-class-def (#556)

### 🌀 Miscellaneous

- Refactor tests (#574)
- Remove references to Python 3.7 (#601)
- Make Document Stores initially skip `SparseEmbedding` (#606)

## [integrations/mongodb_atlas-v0.2.0] - 2024-03-09

### 📚 Documentation

- Mongo atlas (#534)
- Final API docs touches (#538)

### 🌀 Miscellaneous

- Improve example (#546)
- MongoDB Atlas: filters (#542)

## [integrations/mongodb_atlas-v0.1.0] - 2024-02-23

### 🚀 Features

- MongoDBAtlas Document Store (#413)
- `MongoDBAtlasEmbeddingRetriever` (#427)

### 🐛 Bug Fixes

- Remove filters from `MongoDBAtlasDocumentStore.count()` method (#430)
- Fix order of API docs (#447)
- Fix: `pyproject.toml` typo for MongoDB Atlas (#478)

### 📚 Documentation

- Update category slug (#442)

### 🌀 Miscellaneous

- Fix: typo in `mongodb_atlas/pyproject.toml` (#426)

<!-- generated by git-cliff -->
